from fastapi import APIRouter
from loguru import logger

from app.models.domain.diagnosis import (
    ThermalComfortDiagnosisRequest,
    ThermalComfortDiagnosisResponse,
)

router = APIRouter()


@router.post("/space/thermal-comfort", response_model=ThermalComfortDiagnosisResponse)
async def get_thermal_comfort_diagnosis_result(params: ThermalComfortDiagnosisRequest):
    pass


@router.post("/thermal-comfort/fcu", response_model=ThermalComfortDiagnosisResponse)
async def get_thermal_comfort_fcu_diagnosis():
    pass
