from app.crud.base import CRUDBase
from app.models.devices.device import Device
from app.schemas.device.device import DeviceCreate, DeviceUpdate


class CRUDDevice(CRUDBase[Device, DeviceCreate, DeviceUpdate]):
    pass


device = CRUDDevice(Device)
