from pydantic import BaseModel


class ACATFCInstructions(BaseModel):
    switch_set: int
    speed_set: int
    temperature_set: float
    mode_set: int
    water_valve_switch_set: int


class ACATVAInstructions(BaseModel):
    supply_air_flow_set: float
    virtual_temperature_target_set: float
    virtual_realtime_temperature: float
